PeopleForce
Core

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

List all departments

Returns a list of departments

GET
/api/v4/departments

Returns a list of departments

Query Parameters

page?integer

Page offset to fetch.

Formatint32
Default1
per_page?integer

Number of results to return per page.

Formatint32
Default50
offset?integer

Pad a number of results.

Formatint32
Default0

Response Body

application/json

curl -X GET "https://example.com/api/v4/departments"
{  "data": [    {      "id": 0,      "name": "string",      "parent_id": 0,      "manager_id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "fields": {}    }  ],  "metadata": {    "page": 0,    "per_page": 0,    "total_pages": 0,    "total_count": 0  }}